dots.v2.agents.sessions.bySession_id().input.post()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.agents.sessions.bySession_id(session_id).input.post(body: Send_input_request, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Send_input_response>

Description

The agent observes it on its next turn and emits subsequent events via StreamSession. The input is forwarded to the owning microVM’s OHR inbound surface, which attributes it to a run and returns the run id.

Parameters

Path Parameters

session_id string required

Example: a1b2c3d4-e5f6-7890-abcd-ef1234567890

The session UUID.

Request Body

text string required

Example: example

The user message to deliver into the session. Required and non-empty.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.agents.sessions
    .bySession_id("a1b2c3d4-e5f6-7890-abcd-ef1234567890").input.post({
    text: "example",
});

Response Example

Show Response Example
{
  "run_id": "example"
}

More Information

See /v2/agents/sessions/{session_id}/input in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.